Bug 1377037 - SELinux is preventing nfs-server-gene from 'write' accesses on the directory generator.
Summary: SELinux is preventing nfs-server-gene from 'write' accesses on the directory ...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 24
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Lukas Vrabec
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:ec6aea82a73a973a86ca4be4c55...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-09-17 23:23 UTC by Nivag
Modified: 2017-08-08 17:26 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-08 17:26:27 UTC
Type: ---


Attachments (Terms of Use)
Fedora 24 upgrade.log (2.88 MB, text/plain)
2016-11-07 00:18 UTC, Raman Gupta
no flags Details

Description Nivag 2016-09-17 23:23:17 UTC
Description of problem:
SELinux is preventing nfs-server-gene from 'write' accesses on the directory generator.

*****  Plugin catchall (100. confidence) suggests   **************************

If you believe that nfs-server-gene should be allowed write access on the generator directory by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# ausearch -c 'nfs-server-gene' --raw | audit2allow -M my-nfsservergene
# semodule -X 300 -i my-nfsservergene.pp

Additional Information:
Source Context                system_u:system_r:nfsd_t:s0
Target Context                system_u:object_r:systemd_unit_file_t:s0
Target Objects                generator [ dir ]
Source                        nfs-server-gene
Source Path                   nfs-server-gene
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
Policy RPM                    <Unknown>
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 4.7.3-200.fc24.x86_64 #1 SMP Wed
                              Sep 7 17:31:21 UTC 2016 x86_64 x86_64
Alert Count                   1
First Seen                    2016-09-18 11:21:37 NZST
Last Seen                     2016-09-18 11:21:37 NZST
Local ID                      1b1c2c39-d540-42b3-926a-7367ba37a2f1

Raw Audit Messages
type=AVC msg=audit(1474154497.546:6889): avc:  denied  { write } for  pid=18915 comm="nfs-server-gene" name="generator" dev="tmpfs" ino=56060217 scontext=system_u:system_r:nfsd_t:s0 tcontext=system_u:object_r:systemd_unit_file_t:s0 tclass=dir permissive=0


Hash: nfs-server-gene,nfsd_t,systemd_unit_file_t,dir,write


Additional info:
reporter:       libreport-2.7.2
hashmarkername: setroubleshoot
kernel:         4.7.3-200.fc24.x86_64
type:           libreport

Comment 1 Fedora Admin XMLRPC Client 2016-09-27 15:07:08 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 2 jniederm 2016-11-04 14:38:40 UTC
Description of problem:
dnf update

Version-Release number of selected component:
selinux-policy-3.13.1-191.19.fc24.noarch

Additional info:
reporter:       libreport-2.7.2
hashmarkername: setroubleshoot
kernel:         4.7.9-200.fc24.x86_64
type:           libreport

Comment 3 Raman Gupta 2016-11-07 00:18:20 UTC
Created attachment 1217841 [details]
Fedora 24 upgrade.log

This error also occurred throughout my Fedora 23 to Fedora 24 update. See attached log.

Comment 4 Fedora End Of Life 2017-07-25 23:06:24 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 5 Fedora End Of Life 2017-08-08 17:26:27 UTC
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.